## NAME

v.in.dlg2 - Converts an ASCII or binary USGS DLG-3 (bdlg) file to a binary GRASS vector (`dig`) file.
(GRASS Vector Data Import Program)

## SYNOPSIS

v.in.dlg2
v.in.dlg2 help
v.in.dlg2 [-bl] input=name output=name

## DESCRIPTION

This program converts an ASCII or binary USGS DLG-3 (dlg.old or bdlg.old) file into a binary GRASS vector (`dig`) file.

v.in.dlg2 also creates a `dig_att` file containing the label information 'stripped' from the DLG-3 file. However, the user must run v.support (or v.import option 4) on the output file created by v.in.dlg2 to create a `dig_plus` file containing the file topology, before using the output file in v.digit.

The user can avoid this two-step process by converting the ASCII or binary DLG-3 file to binary GRASS vector format using option 1 or 2 of the GRASS program v.import.

## OPTIONS

### Flags:

-b
  Input is a binary DLG-3 file (default is ASCII).
-l
  Give precedence to line information (default is area).

### Parameters:

input=name
  Name of USGS DLG-3 Optional format input file.
output=name
  Name to be assigned to the binary GRASS vector files created.

If the user simply types v.in.dlg2 without specifying parameter values on the command line, the program will prompt the user to enter these.

## NOTES

### Area vs Line Precedence:

Some machine-processed DLG-3 files do not make the distinction between line edges and area edges. For example, in a roads map, where the desired information is line edge data, a downtown block surrounded by roads may be processed as an area. Because of this, the user is asked to choose whether to give precedence to areas or lines. If precedence is given to lines, the user should be aware that any lines that bound unlabeled areas in the DLG-3 file will be stored as line data. Any unlabeled areas would therefore be lost (this is only a concern when areas are unlabeled; labeled area information will be retained). If precedence is given to areas, lines will be stored as boundaries to areas that are unlabeled.

### Building support files with v.support:

When you run v.support you will have the option of snapping the nodes in your vector file that fall within a certain threshold of one another. WARNING: the default threshold is calculated using the scale of the original DLG-3 file. If the threshold is too high, excessive snapping may occur, destroying the file!! With v.support, the user has the option of snapping or not snapping nodes, and further, of setting a particular snapping threshold.

## SEE ALSO

v.digit, v.import, v.support

## AUTHOR

Michael Higgins, U.S.Army Construction Engineering Research Laboratory
Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $